Package de.willuhn.jameica.hbci.server

# Class SepaSammelUeberweisungImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.datasource.db.AbstractDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject
de.willuhn.jameica.hbci.server.AbstractSepaSammelTransferImpl<SepaSammelUeberweisungBuchung>
de.willuhn.jameica.hbci.server.SepaSammelUeberweisungImpl

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.Transactionable`, `Duplicatable`, `HibiscusDBObject`, `SepaPayment`, `SepaSammelTransfer<SepaSammelUeberweisungBuchung>`, `SepaSammelUeberweisung`, `Terminable`, `Serializable`, `Remote`

public class SepaSammelUeberweisungImpl extends AbstractSepaSammelTransferImpl<SepaSammelUeberweisungBuchung> implements SepaSammelUeberweisung
Implementierung des Containers fuer SEPA-Sammelueberweisungs-Buchungen.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

## Constructor Summary

Constructors
Constructor
Description
`SepaSammelUeberweisungImpl()`
ct.

## Method Summary

Modifier and Type
Method
Description
`SepaSammelUeberweisungBuchung`
`createBuchung()`
Erzeugt eine neue Buchung auf dem Sammeltransfer.
`Duplicatable`
`duplicate()`
Dupliziert das Objekt.
`List<SepaSammelUeberweisungBuchung>`
`getBuchungen()`
Liefert eine Liste der Buchungen fuer diesen Transfer.
`protected String`
`getTableName()`
`boolean`
`isTerminUeberweisung()`
Prueft, ob es sich um einen bankseitige Termin-Ueberweisung handelt.
`void`
`setTerminUeberweisung(boolean termin)`
Legt fest, ob es sich um eine bankseitige Termin-Ueberweisung handelt.
`boolean`
`ueberfaellig()`
Prueft, ob die Ueberweisung ueberfaellig ist.

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractSepaSammelTransferImpl

`ausgefuehrt, delete, getAttribute, getAusfuehrungsdatum, getBezeichnung, getKonto, getPmtInfId, getPrimaryAttribute, getSumme, getTermin, insert, insertCheck, markingExecuted, setAusgefuehrt, setBezeichnung, setKonto, setPmtInfId, setTermin, store, updateCheck`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject

`getMeta, setMeta`

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObject

`addDeleteListener, addStoreListener, clear, deleteCheck, equals, getAttributeNames, getAttributeType, getForeignObject, getID, getIDField, getInsertSQL, getList, getListQuery, getLoadQuery, getService, getUpdateSQL, hasChanged, hasChanged, init, isNewObject, load, overwrite, removeDeleteListener, removeStoreListener, setAttribute, setID, setService, transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.SepaPayment

`getPmtInfId, setPmtInfId`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.SepaSammelTransfer

`getBezeichnung, getKonto, getSumme, setBezeichnung, setKonto`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Terminable

`ausgefuehrt, getAusfuehrungsdatum, getTermin, setAusgefuehrt, setTermin`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Constructor Details

### SepaSammelUeberweisungImpl

public SepaSammelUeberweisungImpl() throws RemoteException
ct.

Throws:
  `RemoteException`

## Method Details

### getTableName

protected String getTableName()

Specified by:
  `getTableName` in class `de.willuhn.datasource.db.AbstractDBObject`
See Also:
  - `AbstractDBObject.getTableName()`

### getBuchungen

public List<SepaSammelUeberweisungBuchung> getBuchungen() throws RemoteException
Description copied from interface: `SepaSammelTransfer`
Liefert eine Liste der Buchungen fuer diesen Transfer.

Specified by:
  `getBuchungen` in interface `SepaSammelTransfer<SepaSammelUeberweisungBuchung>`
Returns:
  Liste der Buchungen.
Throws:
  `RemoteException`
See Also:
  - `SepaSammelTransfer.getBuchungen()`

### createBuchung

public SepaSammelUeberweisungBuchung createBuchung() throws RemoteException, de.willuhn.util.ApplicationException
Description copied from interface: `SepaSammelTransfer`
Erzeugt eine neue Buchung auf dem Sammeltransfer.

Specified by:
  `createBuchung` in interface `SepaSammelTransfer<SepaSammelUeberweisungBuchung>`
Returns:
  die neu erzeugte Buchung.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `SepaSammelTransfer.createBuchung()`

### duplicate

public Duplicatable duplicate() throws RemoteException
Description copied from interface: `Duplicatable`
Dupliziert das Objekt.

Specified by:
  `duplicate` in interface `Duplicatable`
Returns:
  neues Objekt mit den gleichen Eigenschaften.
Throws:
  `RemoteException`
See Also:
  - `Duplicatable.duplicate()`

### ueberfaellig

public boolean ueberfaellig() throws RemoteException
Description copied from interface: `Terminable`
Prueft, ob die Ueberweisung ueberfaellig ist.

Specified by:
  `ueberfaellig` in interface `Terminable`
Overrides:
  `ueberfaellig` in class `AbstractSepaSammelTransferImpl<SepaSammelUeberweisungBuchung>`
Returns:
  true, wenn sie ueberfaellig ist.
Throws:
  `RemoteException`
See Also:
  - `AbstractSepaSammelTransferImpl.ueberfaellig()`

### isTerminUeberweisung

public boolean isTerminUeberweisung() throws RemoteException
Description copied from interface: `SepaSammelUeberweisung`
Prueft, ob es sich um einen bankseitige Termin-Ueberweisung handelt.

Specified by:
  `isTerminUeberweisung` in interface `SepaSammelUeberweisung`
Returns:
  true, wenn es eine bankseitige Termin-Ueberweisung ist.
Throws:
  `RemoteException`
See Also:
  - `SepaSammelUeberweisung.isTerminUeberweisung()`

### setTerminUeberweisung

public void setTerminUeberweisung(boolean termin) throws RemoteException
Description copied from interface: `SepaSammelUeberweisung`
Legt fest, ob es sich um eine bankseitige Termin-Ueberweisung handelt.

Specified by:
  `setTerminUeberweisung` in interface `SepaSammelUeberweisung`
Parameters:
  `termin` - true, wenn es eine bankseitige Terminueberweisung sein soll.
Throws:
  `RemoteException`
See Also:
  - `SepaSammelUeberweisung.setTerminUeberweisung(boolean)`